! Calculeaza norma euclidiana (1 vector)
Function vNorm2(n,v)
real v(n)

! Calculate norm
vNorm2 =sqrt(dot_product(v,v))

end

Function vNorm2_z(n,v)
complex v(n)

! Calculate norm
vNorm2_z =sqrt(dot_product(v,v))
end
